package example.TD1;


import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.widget.Toast;


/**
 * <h4>Premier programme avec une activite complete, sans gestion du redemarrage.</h4>
 * 
 * TODO : <br>
 *  
 * 1) Etablir les differents etats de la machine a etat avec le logcat<br>
 * 2) Utiliser le DDMS pour visualiser les processus et fichiers<br>
 * 3) Comprendre le système de filtrage des logs avec le logcat<br>
 *
 * @see :<br>
 * 
 * http://developer.android.com/reference/android/util/Log.html<br>
 * 
 * http://developer.android.com/guide/topics/manifest/manifest-intro.html<br>
 * 
 * http://developer.android.com/reference/android/app/Activity.html<br>
 * 
 * @author fcamps@laas.fr
 *
 */
public class TD0_1 extends Activity
{

	private static final String TAG = "ActivityObs";

	
	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		Log.v(TAG, "onCreate()");

		Toast.makeText(this, "onCreate", Toast.LENGTH_SHORT).show();
	}

	@Override
	protected void onRestart()
	{
		super.onRestart();
		Log.v(TAG, "onRestart()");
	}

	@Override
	protected void onResume() 
	{
		super.onResume();
		Log.v(TAG, "onResume()");
	}


	@Override
	protected void onPause() {
		super.onPause();
		Log.v(TAG, "onPause()");
	}

	@Override
	protected void onStop()
	{
		super.onStart();
		Log.v(TAG, "onStop()");
	}

	@Override
	protected void onDestroy()
	{
		super.onDestroy();
		Log.v(TAG, "onDestroy()");
	}

}
