package example.TD1;


import android.app.Activity;
import android.os.Bundle;
import android.widget.ArrayAdapter;
import android.widget.Spinner;

/**
 * <h4>Utilisation d'un adapter pour les IHM</h4>
 * ArrayAdapter permet d'avoir un conteneur qui s'adapte en fonction du contenu.<br>
 * 
 * TODO:<br>
 * 1) Analyser le code et les fichiers associes<br>
 * 2) Faire un build et exécuter sur une MV Android<br>
 * 
 * @author fcamps@laas.fr
 *
 */
public class TD0_3 extends Activity
{
	
    private static final String[] oceans = 
    {   "Pacific", "Atlantic", "Indian", 
        "Arctic", "Southern" };  

    @Override
    protected void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        
        setContentView(R.layout.spinner);

        Spinner favoriteOcean = (Spinner) findViewById(R.id.spinner);

        ArrayAdapter<String> mAdapter = new ArrayAdapter<String>(this, R.layout.spinner_entry);
        
        mAdapter.setDropDownViewResource(R.layout.spinner_entry);
        
        for(int idx=0; idx<oceans.length; idx++)
            mAdapter.add(oceans[idx]);
        
        favoriteOcean.setAdapter(mAdapter);          
    }         
}

