/**
 * 
 */
package example.TD1;

import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.Button;

/**
 * <h4>Chargement dynamique d'une IHM</h4>
 * 
 * Ce programme presente le chargement d'une IHM.
 * 
 * @author fcamps
 *
 */
public class TD0_5 extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		setContentView(R.layout.display);

		// Récupération des ressources dans le fichier R
		final Button b1 = (Button) findViewById(R.id.button1);

		// Ajout d'un listner
		View.OnClickListener myOnlyhandler = new View.OnClickListener()
		{
			Context myContext = getApplicationContext();
			
			//chargement d'une ihm
			public void onClick(View v)
			{
				// le bouton ?
				if( b1.getId() == ((Button)v).getId() )
				{
					LayoutInflater layoutInflater = (LayoutInflater) myContext.getSystemService(Context.LAYOUT_INFLATER_SERVICE);

					View view = layoutInflater.inflate(R.layout.seek, null);
					setContentView(view);
				}
			}
		};

		// Assignation du listener au bouton
		b1.setOnClickListener(myOnlyhandler);
	}

	@Override
	protected void onRestart()
	{
		super.onRestart();
	}

	@Override
	protected void onResume() 
	{
		super.onResume();
	}


	@Override
	protected void onPause() {
		super.onPause();
	}

	@Override
	protected void onStop()
	{
		super.onStart();
	}

	@Override
	protected void onDestroy()
	{
		super.onDestroy();
	}

}
