package com.example.networkdetect;

import com.example.networkdetect.R;
import android.app.Activity;
import android.content.Context;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;

public class MainActivity extends Activity {

	final static String TAG = "NETWORK DETECT";
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		isOnline();
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.activity_main, menu);
		return true;
	}
	
	
	public boolean isOnline() {
	    ConnectivityManager cm = (ConnectivityManager) getSystemService(Context.CONNECTIVITY_SERVICE);
	    NetworkInfo netInfoMob = cm.getNetworkInfo(cm.TYPE_MOBILE);
	    NetworkInfo netInfoWifi = cm.getNetworkInfo(cm.TYPE_WIFI);
	    if ((netInfoMob != null || netInfoWifi != null) && (netInfoMob.isConnectedOrConnecting() || netInfoWifi.isConnectedOrConnecting())) {
	       
	    	Log.v(TAG, "OK");
	    	
	    	return true;
	    }
	    
	    Log.v(TAG, "KO");
	    return false;
	}

}
