package android.exemple.service;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.exemple.R;

/**
 * 
 * @author fcamps
 *
 */
public class SimpleActivity extends Activity 
{
    @Override
    protected void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.simple_activity);  

        Button startButton = (Button) findViewById(R.id.ButtonStart);
        
        startButton.setOnClickListener(new View.OnClickListener()
        {
            public void onClick(View view)
            {
                startService(new Intent(SimpleActivity.this, SimpleService.class));
            }
        });        

        Button stopButton = (Button)findViewById(R.id.ButtonStop);
        
        stopButton.setOnClickListener(new View.OnClickListener()
        {
            public void onClick(View v){
                stopService(new Intent(SimpleActivity.this,SimpleService.class));
            }                 
        });
    }
}