package example.TD1;


import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.EditText;
import android.widget.RadioButton;
import android.widget.Toast;

/**
 *<h4> Layout et widget graphiques</h4>
 * 
 * Ce programme presente le chargement d'un layout et l'utilisation des widgets graphiques associes: Button, EditText, CheckBox, RadioButton. Ici on rajoute
 * la gestion des evenements et la recuperation des donnees du formulaire et l'affichage
 * d'un toast.<br><br>
 * 
 * TODO : Ajouter d'autres widget avec le generateur d'IHM et des evenements. Regarder le fichier XML du layout.<br>
 * 
 * @author fcamps@laas.fr
 * 
 */
public class TD0_2 extends Activity
{
	//EditText username;

	@Override
	public void onCreate(Bundle savedInstanceState)
	{
		super.onCreate(savedInstanceState);
		
		// Récupération du display display.xml
		setContentView(R.layout.display);

		// Récupération des ressources dans le fichier R
		final Button b1 = (Button) findViewById(R.id.button1);
		
		final EditText username = (EditText) findViewById(R.id.editTextNom);

		final CheckBox checkBox = (CheckBox) findViewById(R.id.checkBox1);
		
		final RadioButton radio_red = (RadioButton) findViewById(R.id.radioButton1);
		
		// Ajout d'un listner
		View.OnClickListener myOnlyhandler = new View.OnClickListener()
		{
			public void onClick(View v)
			{
				// le bouton ?
				if( b1.getId() == ((Button)v).getId() )
				{
					// EditText
					String name = username.getText().toString();
					int duration = Toast.LENGTH_SHORT;
					Context context = getApplicationContext();
					
					// Affichage d'une fenetre
					Toast toast = Toast.makeText(context, name, duration);
					toast.show(); 
					
					// Checkbox
					if (checkBox.isChecked())
					{
			            checkBox.setChecked(false);
			        }
					
					// RadioButton
					if(radio_red.isChecked())
					{
						radio_red.setChecked(false);
					}
				}
			}
		};
		
		// Assignation du listener au bouton
		b1.setOnClickListener(myOnlyhandler);
	
	}
}
