package test.fred.testprovider;

import android.content.ContentValues;
import android.database.Cursor;
import android.net.Uri;
import android.os.Bundle;
import android.support.v7.app.AppCompatActivity;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.Toast;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;top


public class MainActivity extends AppCompatActivity {

    @Override



    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);


        int nb = getContentResolver().delete(
                LogsProvider.CONTENT_URI, null, null);

        // Add a new student record
        ContentValues values = new ContentValues();

        values.put(LogsProvider.DATE, getDateTime());

        values.put(LogsProvider.APP, "tracer");

        values.put(LogsProvider.INFO, "myinfo");

        Uri uri = getContentResolver().insert(
                LogsProvider.CONTENT_URI, values);

        Toast.makeText(getBaseContext(),
                uri.toString(), Toast.LENGTH_LONG).show();

        // Affichage des logs
        String URL = "content://test.fred.testprovider.Info/logs";
        Uri logs = Uri.parse(URL);
        Cursor c = getContentResolver().query(logs, null, null, null, null);

        if (c.moveToFirst()) {
            do{
                Toast.makeText(this,
                        c.getString(c.getColumnIndex(LogsProvider._ID)) +
                                ", " +  c.getString(c.getColumnIndex( LogsProvider.DATE)) +
                                ", " + c.getString(c.getColumnIndex( LogsProvider.INFO)),
                        Toast.LENGTH_SHORT).show();
            } while (c.moveToNext());
        }
        c.close();
    }


    private String getDateTime() {
        SimpleDateFormat dateFormat = new SimpleDateFormat(
                "yyyy-MM-dd HH:mm:ss", Locale.getDefault());
        Date date = new Date();
        return dateFormat.format(date);
    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
